﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    ## Backgrounds ##
    # Solid Colors
    image black = Solid((0, 0, 0, 255))
    image white = Solid((255, 255, 255, 255))
    image gray = Solid((127, 127, 127, 127))
    
    # BG Images
    image splashscreen = "splash.png"
    image bg street = "bg_street.png"
    image bg school = "bg_school.png"
    image bg bedroom = "bg_bedroom.png"
    image bg dining room = "bg_kitchen.png"
    image bg house = "bg_house.png"
    image bg door = "bg_door.png"
    image bg street2 = "bg_PLACEHOLDER_street2.jpg"
    image bg beach = "bg_beach.png"
    
    ## Character Sprites ##
    # Ari
    image ari normal = "c_ari_001.png"
    image ari frown = "c_ari_002.png"
    image ari surprise = "c_ari_003.png"
    image ari turned = "c_ari_004.png"
    
    # Miriam
    image miriam smile = "c_miriam_001.png"
    image miriam smile2 = "c_miriam_002.png"
    image miriam ticked = "c_miriam_003.png"
    image miriam ticked2 = "c_miriam_004.png"
    
    # SK
    image sk normal = "c_sk_001.png"
    image sk touche = "c_sk_002.png"
    image sk bemused = "c_sk_003.png"
    image sk happy = "c_sk_004.png"
    
    # Amanda
    image amanda normal = "c_amanda_001.png"
    image amanda happy = "c_amanda_002.png"
    image amanda confused = "c_amanda_003.png"
    image amanda embarrassed = "c_amanda_004.png"
    image amanda turned yell = "c_amanda_005.png"
    image amanda turned embarrassed = "c_amanda_006.png"
    
    
    # Kizik Elder
    image kizik normal = "c_kizik_001.png"
  
    ## Characters ##
    # NVL Character
    $ n = NVLCharacter("",
                    ctc = anim.Blink("ctcarrow.png"),
                    )

    $ config.adv_nvl_transition = dissolve
    $ config.nvl_adv_transition = dissolve
    
    #ADV Characters
    $ narrator = Character('',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    $ VVH = Character('Van Von Hunter',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    $ Ari = Character('Ari',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    $ Miriam = Character('Miriam',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    $ SK = Character('What\'s-Her-Face',
                    ctc=anim.Blink("ctcarrow.png")
                    )

    $ Amanda = Character('Amanda',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    $ Kizik = Character('Old Man',
                    ctc=anim.Blink("ctcarrow.png")
                    )
    
    # Effects
    $ smoothblinds = ImageDissolve("FXsmoothblinds.png", 1.0, 50)
    
    # Sakura
    image snowblossom = SnowBlossom(anim.Filmstrip("sakura.png", (20, 20), (2, 1), .15), 30, fast=True)
    
    
    # Other Presets
    #$ menu = nvl_menu


label splashscreen:
    
    scene black
    show snowblossom with dissolve
    show splashscreen with Dissolve(3)
    hide snowblossom with dissolve
        
    return
    
    
# Scene A000 - Prologue
label start:
    ## Game Variable Initialization ##
    #Did VVH Meet Amanda at her house?
    $ met_amanda = 0
    
    scene black
    with dissolve
    $ renpy.music.play("001.ogg")
    
    nvl clear
    n 'It was a different time.' with dissolve

    n 'A different place.'

    n 'But yet, it was familiar.{w} Comfortable.'

    n 'What followed was almost expected.{w} A natural occurrence.{w} Not normal, mind you.{w} But yet, it was something unsurprising.'

    n 'We, a band of unlikely comrades had come together to halt a terrible fate staring down our world.{w} Our very existence, not just of our town, our nation or even our world, but the entirety of the universe was at risk.{w} We had done all we could to bring an end to the madness before it consumed us all.'

    n 'But, was it enough?{w} Did we...succeed?{w} Perhaps the here and now is our reward? Our punishment?'

    n 'I suppose it could all be a complex delusion of the mind occurring in the split second before death overcomes us all.'

    n '\nHmm. Yeah, that last one would kinda suck...'
    $ renpy.music.stop(channel=7,fadeout=2)
    nvl clear
    
    jump A001
 
# Scene A001 - Wake Up!
label A001:
    
    scene black

    'DAY 1...'
    
    ##<Blackness gives way to a view of VVH\'s empty room>

    scene bg bedroom
    with dissolve
    $ renpy.music.play("002.ogg")
    
    nvl clear
    n 'Perhaps the only way out of this purgatory is to get my sister the book.' with dissolve
    
    n 'Yes, it just might work. I have to try. If I can ma–'

    n 'WHAT THE!'

    n 'ARI!'
    nvl clear
  
    show ari frown
    with dissolve

    VVH '"Good GOD! What are you whispering into my ear for?"' with dissolve

    Ari '"..."'

    VVH '"You little weirdo..."'

    Ari '"Mom wanted me to get you up. She seemed pretty indifferent on how. I used my discretion."'

    VVH '"Uh huh. Hey, what the? It\'s a half hour before I normally get up. What\'s this all about?"'

    Ari '"..."'

    ##<Shot of Ari turned around, leaving VVH\'s room>
    
    show ari turned
    with dissolve

    Ari '"I think she wanted to talk to you about something."'

    ##<Shot of VVH\'s empty room>
    
    hide ari
    with dissolve

    n 'I guess a lot of people have odd siblings. But my sister, well...Let\'s just say her problems are compounded by her teenage years.' with dissolve

    n 'People often say that her nasty demeanor, snide remarks and constant complaining mask her true feelings of love and concern for my well being.'

    n '\nThose people are liars.'
    nvl clear

    n 'Actually, maybe apathy and depression are a good thing for that girl. I can\'t imagine just how malevolent and destructive she could be if she was full of energy and vitality.'

    n '\nAnyway...What the hell?'

    n 'What does my mom want to talk to me about so badly that she had to do it a half-hour earlier than usual?'

    n 'Ugh...This isn\'t good. I needed that extra half-hour. I really did.'

    n 'Eh, not much to be done about it now. I can never seem to get back to sleep once I wake up in the mornings. Better get going...'
    $ renpy.music.stop(channel=7,fadeout=1)
    nvl clear
    
    jump A002

# Scene A002 - Breakfast
label A002:

    scene bg dining room
    with smoothblinds

    ##<Shot of the kitchen>

    ##<Shot of Miriam. She wears the sweetest expression.>
    
    show miriam smile2
    with dissolve
    $ renpy.music.play("003.ogg")
    
    Miriam '"Good morning honey! How did you sleep?"' with dissolve

    VVH '"Fine, I suppose. Look, so what was–"'

    show miriam smile
    with dissolve
    
    Miriam '"Oh, would you like some breakfast? Since it\'s so early, I could put together something EGGstra special for you this morning!"'

    'I don\'t believe she actually said "eggstra". She seems to be going for cutesy today... I suppose that might explain the maid outfit. Well, I suppose I could use something to help wake me up. Although, a full breakfast? I dunno...'

    ######DECISION######
    menu:
        "Yeah, what the hell. Let mom put together a gormet breakfast. It'll be a nice change of pace.":
            jump A003
        
        "Eh...I really just need some coffee to wake me up.":
            jump A004
    

# Scene A003 - Miriam Prepares Breakfast
label A003:
    
    scene bg dining room
    with dissolve
    
    VVH '"Yeah sure. What the hell. Go for it ma."'

    ##<Shot of a surprised Miriam>

    show miriam ticked
    with dissolve

    Miriam '"Van! You watch your tongue young man!"'

    VVH '"Oh, uh, s-sorry."'

    ##<Shot of a smiling, happy Miriam>

    show miriam smile
    with dissolve

    Miriam '"That\'s better. Now...Let me see what I can whip up..."'

    hide miriam
    with dissolve

    nvl clear
    n 'As she goes to the refrigerator, I turn and have a seat at the kitchen table. Like always, my dad is sitting there reading the morning paper.' with dissolve

    n '"Hey pop. Mornin\'."'
    
    $ renpy.music.play("Kitchen.ogg", channel=6, loop=False)
    
    n '"..."'

    n 'That\'s unusual. I was expecting to get the typical stuffy, "Jolly good morning, son." from him by now.'

    n '"Uh, I said good morning, dad."'

    n '"..."'

    n 'Still nothin, huh? What\'s his problem? Eh...better make sure the old man is still alive.'
    nvl clear

    n 'I yank the top of the paper out of his hands. As the krinking newsprint flutter past me, I get a start.'

    ##<Shot of Ari wearing her usual dower expression>
    
    show ari frown
    with dissolve

    VVH '"GAH! Holy crap! W-What are doing? Where\'s dad?"' with dissolve

    show ari surprise
    with dissolve
    
    Ari '"He\'s not up yet."'

    VVH '"Yeah. But why...Oh, never mind..."'
    
    hide ari
    with dissolve

    nvl clear
    n 'I learned long ago it\'s not best to waste time trying to figure out why Ari does the things she does.' with dissolve

    n 'I get up from my seat and address my mother.'
    
    show miriam smile
    with dissolve

    n '"Hey ma. I-I\'m just gonna get going if that\'s okay with you."' with dissolve

    n 'She\'s hunched over the kitchen counter. She replies without turning around.'

    show miriam smile2
    with dissolve

    n '"Oh but dear, I haven\'t finished preparing your breakfast. It\'s stake and eggs."' with dissolve

    n '"Uh, don\'t you mean steak and eggs?"'

    show miriam ticked2
    with dissolve

    n '"It\'s bloody well rude to correct yer mother, init?"' with dissolve
    nvl clear

    ##<Shot of sweet Miriam brandishing a very large butcher\'s knife>

    VVH '"Ah crap...Uh, sorry about that ma. Gotta run. Bye!"' with dissolve

    ##<Shot of the back of VVH\'s house>

    nvl clear
    n 'Whew. I never know when something\'s going to set that woman off. Usually it\'s no big deal even when she pulls something like that. But if she\'s brandishing a butcher knife at the time? Yeah...' with dissolve
    
    $ renpy.music.stop(channel=7,fadeout=2)
    $ renpy.music.stop(channel=6,fadeout=2)
    
    n 'Oh well. After all of that, it\'s actually about time I start heading to school.'
    nvl clear
    
    jump A005

# Scene A005 - VVH Meets SK in Front of His House
label A005:

    scene bg house
    with smoothblinds
    $ renpy.music.play("004.ogg")
    
    ##<Shot of the front of VVH\'s house>
    
    nvl clear
    n 'I make it only as far as my own front door before I realize that I don\'t have any of my books or lunch or anything relevant for school. I would say I\'d go back inside and get them, but hey. After all this time, why start bringing that stuff with me now?' with dissolve

    n '"AH HA! There you are!"'
    nvl clear

    ##<Shot of an annoyed SK>

    show sk normal
    with dissolve

    SK '"And why couldn\'t you come to the front door like a normal person?"' with dissolve

    VVH '"Huh? You were at the front door all this time? I guess I was a little busy."'

    SK '"I swear! If it wasn\'t for me, you\'d be a complete juvenile delinquent by now."'

    VVH '"You say that like it\'s a bad thing."'

    ##<Shot of exasperated SK>

    SK '"You\'re just lucky I\'m your oldest childhood friend. Otherwise your mother would worry herself crazy."'

    VVH '"Not if she\'s already there."'

    $ renpy.music.stop(channel=7,fadeout=2)
    
    ##<Shot of an amused SK>

    show sk touche
    with dissolve
    
    SK '"Touché. Well, come on. We better get going."'
    
    ######VARIABLE BRANCH######
    if met_amanda == 1:
        jump A006
    else:
        jump A010
    return

# Scene A010 - The Walk to School...Amanda Introduces Herself
label A010:

    scene bg street
    with smoothblinds
    $ renpy.music.play("005.ogg")
    
    nvl clear
    $ renpy.music.play("Wind.ogg", channel=6, loop=False)
    n 'As we walk along our usual route to school, the breeze off of the ocean seems unseasonably cool and strong. As I get ready to mention this, a flurry of differently-colored papers all flutter past us.' with dissolve

    n '"Whoa. Where did all this come from?"'

    n 'After asking my dull query, my friend points at me.'

    show sk bemused
    with dissolve

    n '"Maybe that paper sticking to you will answer your question?"' with dissolve
    
    hide sk
    with dissolve

    n 'Looking down, I do indeed notice a red piece of paper stuck to my torso thanks to the constant breeze. I remove it and read the contents.' with dissolve

    n '"Announcing the arrival of Amanda Beaumont to the neighborhood. She\'s a second year student who will be attending the local high school. Her likes include..."'

    n '"Yeesh. It goes one like this...Heck, she\'s even included a picture of herself."'

    n 'As I get ready to make a snarky comment to my companion, a girl suddenly rushes headlong into me.'
    nvl clear

    ##<Shot of a concerned Amanda>

    show amanda embarrassed
    with dissolve

    Amanda '"Oh no! Come back!"' with dissolve

    'OOOF' with hpunch

    ##<camera shake>

    ##<Shot of an embarrassed Amanda>
    
    show amanda turned embarrassed
    with dissolve

    Amanda '"Oh my. I\'m so clumsy. Please forgive me. I was just trying to get some of my fliers back..."'

    VVH '"And you are?"'

    show amanda embarrassed
    with dissolve
    
    Amanda '"Oh, I\'m terribly sorry, Mr. Von Hunter. I-I\'m Amanda Beaumont. Your new next-door neighbor?"'

    VVH '"This is the first I\'ve heard of...Hey, how come you know my name?"'

    show amanda happy
    with dissolve
    
    Amanda '"Oh, I\'ve taken it upon myself to learn everything I could about the neighborhood before I moved in. And I slid informational fliers like the one you\'ve got right now under everyone\'s front door."'

    VVH '"Huh?"'

    ##<Shot of SK>
    
    show amanda normal at right
    show sk happy at left
    with dissolve

    SK '"It\'s true. I\'ve known about her for a few days now."'

    VVH '"Ah. Well...You see how much I use the front door."'

    show amanda normal at right
    show sk touche at left
    with dissolve
    
    SK '"Again, touché."'

    hide sk
    with dissolve
    
    ##<Shot of Amanda>  
    
    show amanda turned embarrassed
    with dissolve
    
    Amanda '"Well, seeing as how I\'ve lost all of my fliers, would...Could I perhaps walk with the two of you to school?"'
    
    VVH '"Oh heck yeah. Seems like the natural thing to do in a situation like this."'
    
    jump A007

# Scene A007 - VVH Tells the Gang About His Dream
label A007:
    
    ##<NVL Mode>
    
    scene black
    with dissolve
    
    scene bg beach
    with smoothblinds

    nvl clear
    n 'We make our way closer to school.' with dissolve

    $ renpy.music.play("waves.ogg", channel=6, loop=False)
    
    n 'It always seems such a shame to walk past this beautiful beach every day on our way to school. It really bugs me for some reason. As if trying to take my mind off of that annoyance, I start rambling about the dream I had this morning.'

    nvl clear

    n 'I mention how it may have just been my sister screwing with me, but at the same time, it felt so familiar. Like it was something...Like I was expecting to wake up from THIS reality and continue on my way, smiting evil and saving the world. A world of swords and sorcery, mind you.'
    
    nvl clear

    n 'Such a thing SHOULD seem completely foreign to a high school student. Especially a high school student like me. I\'ve never been into the RPGs or, heaven forbid, LARPs. I just shudder at the thought. There\'s something that pisses me off about those sorts of things. Like people who play them are just posers. Seems to me, if you want to go out and do something adventurous, well...You should go OUT and DO something adventurous. Not SIMULATE something adventurous.'
    nvl clear
    
    $ renpy.music.stop(channel=6,fadeout=2)
    
    scene bg school
    with smoothblinds


    $ renpy.music.play("school bell.ogg", channel=6, loop=False)
    
    n 'Fortunately my ramblings distract me from the beautiful beach AND the fact that I\'m slowly making my way to school. Until we actually ARRIVE at school. Eh...so much for being introspective.' with dissolve
    nvl clear
    
    jump end

# Scene A004 - Miriam Doesn't Prepare Breakfast
label A004:

    scene bg dining room
    with dissolve

    VVH '"Uh, yeah, thanks for the offer, ma. But I really just need some coffee to wake me up."'

    ##<Shot of disappointed Miriam>
    
    show miriam smile2
    with dissolve

    Miriam '"Well, alright. Here you are, dear."'

    ##<NVL Mode>

    nvl clear
    n 'Strange. It seems she\'s only poured me half a cup of coffee. Before I can protest, I find out why.' with dissolve

    n 'She adds one teaspoon of sugar. And another. And another. And another. And another. And another. And another. And another. 

    n She tops it off with as much cream as she can cram in there. She hands it to me with the sweetest smile.'

    n '"Enjoy!"'

    n '"Uh, yeah. Thanks."'
    
    nvl clear
    
    n 'I take a tentative sip and of course I\'m instantly repulsed. Not because of the taste. It\'s surprisingly good. No. All that sugar and cream has lowered the temperature to barely warm. Eeew. Seriously. Just, eeew.'

    n 'I try to distract her from the fact that I can\'t possibly drink this.'

    n '"So...What was it you wanted to talk to me about?"'

    n '"Oh, that\'s right. I wanted you to take this house-warming gift over to the new neighbors."'

    n 'She pulls out a giant ham from the refrigerator.'

    n '"Uh...That seems like. Well, giving people a ham first thing in the morning? Isn\'t that a...Wait. We have new neighbors?"'

    nvl clear

    n '"Well yeah. Didn\'t you see any of the fliers they\'ve been plastering over the neighborhood?"'

    n 'Fliers? Who would introduce themselves with fliers?'

    n '"Uh, no. Can\'t say that I have."'
    
    nvl clear
    
    show miriam smile
    with dissolve

    n '"Well, it\'s a moot point. Just go over there and introduce yourself. And don\'t forget the ham!"' with dissolve

    n 'Yeah. Great. I can just imagine the conversation now: Hi. I\'m your neighbor. Um, here\'s ham.'

    $ renpy.music.stop(channel=7,fadeout=2)

    n 'They\'re gonna look at me like I\'m some kinda nut job.'
    nvl clear

# Scene A004_2 - Introduce Yourself with Ham
label A004_2:
    
    # Set the Meeting Amanda flag
    $ met_amanda = 1
    
    scene black
    with dissolve
    
    scene bg door
    with dissolve
    $ renpy.music.play("004.ogg")
    
    ##<Shot of the front of Amanda\'s house>

    nvl clear
    n 'When I reach the neighbors door, I realize that my hands are full. I can\'t exactly ring the door bell. And it just wouldn\'t be right to put the pot down on the ground. I mean, they\'re probably gonna put this thing in their refrigerator, or stove or something. I wouldn\'t want to get it all dirty.' with dissolve

    n 'Hmm. I suppose I could try resting it on my head. I can steady it with one hand, and use the other to ring the doorbell.' 

    n 'Yeah. That should work.'

    n 'Now...I just need to...'
    
    nvl clear

    n 'Kinda...'

    n '\nIf I get my...'

    n '\nHand up...'

    n '\nLift it this...'
    
    nvl clear

    n 'Before I can situate myself, the door flies open. I voice my concern.'

    n '"GAH!"'
    
    show kizik normal
    with dissolve

    n 'A gray-haired man wearing a jersey opens the door and speaks with genuine pleasure.' with dissolve

    n '"Well, hello there young man. How are you this morning?"'

    n '"Uh. Fine."'

    n 'I try to think of what to say, fully conscious of the fact that I\'ve got a giant ham on my head.'
    
    nvl clear

    n '"Hi. I\'m your neighbor. Um, here\'s ham."'

    n 'I do my best to present the gift in as dignified a way as possible. As I relinquish my ham, I\'m free to scrutinize the old man. I proclaim with surprise...'
    nvl clear

    ##<Shot of old man Kizik>

    VVH '"No way! Hey, you\'re old man Kizik from the Zanarkand Abes! Hey, so how come you retired so early?"' with dissolve

    Kizik '"Oh, uh...it\'s a long story. Suffice it to say, I\'m enjoying retirement here in this town with my granddaughter."'

    VVH '"Well, I\'m Van, from next door. Nice to meet you."'

    Kizik '"Likewise. Say. Give me a moment. Let me go get my granddaughter and introduce you..."'

    ##<NVL Mode>

    hide kizik
    with dissolve

    nvl clear
    n 'The old man disappears into the house.' with dissolve

    n 'Now this is sweet. Not only do we have a famous sports legend living next door to us, but he\'s got a granddaughter? Hmm.' 

    n 'He\'s pretty old. So I can only assume his granddaughter is probably around my age. Heh. This is probably why my mother was so insistent on coming over this morning.'

    n 'Anyway, unless popular culture has led me astray, famous sports legends always have cute kids...'

    ##<Shot of Amanda>
    
    show amanda normal
    with dissolve

    Amanda '"H-Hello."' with dissolve

    ##<NVL Mode>
    
    nvl clear
    n 'Erk!' with dissolve

    n 'No no. It\'s not what you\'re thinking. Pop culture didn\'t lead me astray. I was just getting ahead of myself. I\'m SURE famous sports legends always have cute kids.'
    
    n '\nBut since this is his Granddaughter...'

    n '*sigh*'

    n 'Eh...I may as well be polite...'

    ##<ADV Mode>

    show amanda turned embarrassed
    with dissolve

    Amanda '"I\'m Amanda Beaumont."' with dissolve

    VVH '"Hi Amanda. I\'m Van."'

    ##<NVL Mode>

    show amanda normal
    with dissolve
    
    nvl clear
    n 'I stretch out my hand, but am met with a flier.' with dissolve

    n '"Um...What\'s this?"'

    n 'Looking a little unsure of herself she responds meekly.'

    n '"A flier. It\'ll answer all of your questions about me."'

    n 'I take it and glance it over.'
    
    nvl clear

    n '"I see. Well, it looks...Really well put together."'

    n 'I despise reading. I really do.'

    n '"But, uh...maybe we could just walk to school and discuss it?"'

    n 'Saying that...may have been a mistake. It\'s like someone just pierced her sternum with a syringe of adrenaline.'

    show amanda embarrassed
    with dissolve

    n '"R-Really? You mean it? Oh, that would be so nice! I still don\'t know anyone in town. Well, not personally. It\'d be really helpful if–"'

    n 'She gets cut off as the old man yells from inside the house.'
    
    nvl clear

    n '"Amanda! Quick! We\'ve got another spider!"'

    n 'Her response is disturbing.'

    show amanda turned yell
    with dissolve

    n '"W-well distract it with the ham!"'

    n 'The ham? Just what kinda spiders do these people have in their house?'

    n '*shudder*'

    n 'If I despise reading, I loathe spiders.'

    ######DECISION######
    menu:
        "Yeah. This is creeping me out. I'm Just gonna leave. Now.":
            jump A004_2a
        
        "I should probably make sure Amanda will be okay. I mean, I wouldn't want to be rude.":
            jump A004_2b

# Scene A004_2a - Creeped out
label A004_2a:

    nvl clear
    n 'Uh, yeah. I think I\'m just gonna get out of here before I get roped into anything I\'ll regret later.' with dissolve
  
    $ renpy.music.stop(channel=7,fadeout=2)
    
    n '"Well, it sounds like you\'ve got your hands full for now. I guess I\'ll catch you later at school. See ya!'
    nvl clear

    jump A005
    
# Scene A004_2b - Making Sure Amanda is Okay
label A004_2b:
    
    nvl clear
    n 'Oh man. I\'m gonna regret this...' with dissolve

    n '"D-Do you need any help?"'

    n 'Amanda seems pleased at my offer. It\'s an excruciating eternity until she responds.'

    show amanda happy
    with dissolve

    n '"Oh, why thank you so much! But no. My grandfather should be able to handle it. Besides, it\'s getting late. We should probably get going to school."'

    $ renpy.music.stop(channel=7,fadeout=2)
    
    n 'I don\'t argue with her. And thankfully, we leave without incident.'
    nvl clear
    
    jump A008

# Scene A008 - Walk to School with Amanda...Oh That's Right. SK.
label A008:

    scene bg street
    with smoothblinds
    $ renpy.music.play("006.ogg")
    
    ##<NVL Mode>

    nvl clear
    n 'As we walk to school, Amanda prattles on and on about herself. It\'s a small price to pay for sidestepping that spider.' with dissolve

    n 'Hmm. I almost feel like we\'re forgetting something, though.'

    n '"Aren\'t you forgetting something?"'

    n 'I hear a familiar, disembodied voice from behind me.'
    nvl clear

    ##<ADV Mode>

    ##<Shot of annoyed SK>
    
    show sk normal
    with dissolve

    SK '"Like, oh, I dunno...Your oldest childhood friend?"' with dissolve

    VVH '"Heh. Oh yeah. Sorry about that."'

    SK '"I was waiting out front for almost a half hour, you jerk! Why don\'t you ever use your front door?"'

    VVH '"Why do you keep using it?"'

    ##<Shot of normal SK>

    show sk touche
    with dissolve
    
    SK '"I– Hmm. Touché."'

    show sk happy
    with dissolve

    SK '"Oh. I see you have Amanda with you."'

    VVH '"Hey, how do you know about her?"'

    show sk touche
    with dissolve
    
    SK '"Dur. Flyer."'

    VVH '"Oh right. That."'

    VVH '"Anyway, Amanda, I\'d like you to meet my oldest ch–"'

    hide sk
    with dissolve
    
    ##<Shot of happy Amanda>

    show sk happy at left
    show amanda happy at right
    with dissolve

    Amanda '"Oh, I know all about you! You\'re running for Student Council President, aren\'t you? Oh, I hope you beat that slimeball who\'s in there now!"'

    ##<Shot of embarrassed SK>
    
    show sk bemused at left
    show amanda happy at right
    with dissolve

    SK '"Heh. Well, thanks. I\'m certainly going to try my best. I just need to get my name out there in front of enough eyeballs."'

    SK '"Well, come on. It\'s late enough already. We can keep talking along the way."'
    
    jump A007

# Scene A006 - Walk to School with SK. Amanda Catches Up
label A006:
    
    scene bg street
    with smoothblinds
    $ renpy.music.play("006.ogg")
    
    ##<ADV Mode>

    show sk normal
    with dissolve

    SK '"So...why couldn\'t you use your front door this morning?"' with dissolve

    VVH '"Huh? Oh, well, I was coerced into bringing a "Welcome to the neighborhood ham" to the new neighbors."'

    show sk happy
    with dissolve
    
    SK '"Oh yeah. The Beaumonts. They seem like nice people."'

    VVH '"You\'ve already met them?"'

    SK '"No. But I found this informational flyer under the door one day. After going over it, I feel like I almost know them."'

    VVH '"Ah."'
    
    hide sk
    with dissolve

    ##<NVL Mode>

    nvl clear
    n 'Man. What is it with those people and their informational flyers?' with dissolve

    n 'Still, I guess for people who actually like to read, it does seem to be breaking the ice.'

    n '"Oh Mr. Von Hunter?!"'

    n 'I hear a disembodied voice from behind me. It seems like I should know it...'
    nvl clear

    ##<ADV Mode>

    ##<Shot of Amanda>
    
    show amanda confused
    with dissolve

    Amanda '"Oh! Mr. Von Hunter! I\'m glad I caught up to you. You ran off without giving me a chance to explain that everything was well in hand."' with dissolve

    hide amanda
    with dissolve
    
    ##<Shot of amused SK>
    
    show amanda normal at right
    show sk touche at left
    with dissolve

    SK '"Ran off without an explanation? Wait. Let me guess...It either involved spiders, or reading. OOO! Maybe reading ABOUT spiders?"'

    hide sk
    with dissolve

    ##<Shot of Amanda>

    show amanda normal
    with dissolve
    
    Amanda '"Well yes. How did you know?"'

    VVH '"Ah hahaha! An unimportant detail!"'

    VVH '"Anyway, Amanda Beaumont, let me introduce you to my oldest ch–"'

    ##<Shot of happy Amanda>
    
    show amanda happy
    with dissolve

    Amanda '"Oh, I know all about you! You\'re running for Student Council President, aren\'t you? Oh, I hope you beat that slimeball who\'s in there now!"'

    hide amanda
    with dissolve

    ##<Shot of embarrassed SK>
    
    show sk bemused at left
    show amanda happy at right
    with dissolve

    SK '"Heh. Well, thanks. I\'m certainly going to try my best. I just need to get my name out there in front of enough eyeballs."'

    SK '"Well, come on. It\'s late enough already. We can keep talking along the way."'
    
    jump A007
    
# Scene End - The End
label end:

    scene black
    with dissolve
    
    'The End'

##############Formatting (First Pass) Work Ended Here###############
##############Clean-up Work Ended Here###############


